GNU bug report logs - #55541
[PATCH] gnu: Add azpainter.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Tobias Kortkamp <tobias.kortkamp@HIDDEN>; Keywords: patch; Done: zimoun <zimon.toutoune@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 55541 <at> debbugs.gnu.org and Tobias Kortkamp <tobias.kortkamp@HIDDEN> Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 55541 <at> debbugs.gnu.org:


Received: (at 55541) by debbugs.gnu.org; 24 Jun 2022 21:42:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 24 17:42:01 2022
Received: from localhost ([127.0.0.1]:43729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4r3x-0003Fr-Cv
	for submit <at> debbugs.gnu.org; Fri, 24 Jun 2022 17:42:01 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:54488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o4r3v-0003Fa-LJ
 for 55541 <at> debbugs.gnu.org; Fri, 24 Jun 2022 17:42:00 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by albert.telenet-ops.be with bizsmtp
 id n9hx2700L4UW6Th069hxqt; Fri, 24 Jun 2022 23:41:58 +0200
Message-ID: <b6d482002f7773e65e02dbbbf354e1c0178b823a.camel@HIDDEN>
Subject: Re: bug#55541: [PATCH] gnu: Add azpainter.
From: Maxime Devos <maximedevos@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>, Tobias Kortkamp
 <tobias.kortkamp@HIDDEN>
Date: Fri, 24 Jun 2022 23:41:49 +0200
In-Reply-To: <87sfntu6ft.fsf@HIDDEN>
References: <6d31ff958ec0c75cbba8324a275315d195a54902.1653045472.git.tobias.kortkamp@HIDDEN>
 <87sfntu6ft.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-AcwItZI8e2x7wL9RMuKS"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1656106918; bh=YdfiA/eCl/TtRZ0NTvT0zZ4tUONiaxIfb1uvBg1vHM8=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=PN44nrQtmqCWbAS6fHFG5Gw/szELEIPas83C+eVotkm5Xo4q8UppeRWok03wfk/wC
 G9c7YkQYVw0NyQGJBMnLmAa8FaCQwuBvVL40M/eeXg7TZx/LDj1SAm1Mdx0NlT+qdq
 WC2AR8K591QgZjiyqBkle3o7S+rFu8RRrIJH8Yfh4C9OJYH8GhcZ+Ro0qRRG9G61ly
 jaQKiimMpm7Cnh4yPMFY8tmAaR/AFHiObgt0/2p7QcBWbg80UPRLP/dKmlFv4kcWqS
 Iq7mMY94pPL262qI8f3BwHYFsO338tqQAvNxey18r/y5DMNuxUH3e/4PUBgSpMZ8aa
 i1SeGiLG6Hw6g==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55541
Cc: 55541 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-AcwItZI8e2x7wL9RMuKS
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

reopen 55541

Ludovic Court=C3=A8s schreef op vr 24-06-2022 om 22:56 [+0200]:
> These are all good points and I appreciate that you did such a thorough
> review (audit?) of the package!

I looked through the code a bit, didn't check every file, so I wouldn't
call it an audit.

>=20
> That said, I think it=E2=80=99s a bit too much to ask of a downstream pac=
kager
> or user to address these issues.=C2=A0 As I see it, these issues should b=
e
> reported upstream and addressed upstream.
>=20
> I hope that makes sense!

AFAICT the issues have not been reported upstream yet, so I don't think
we can close this entry on debbugs yet.  While I'd like for downstream
packaging to be trivial, the sad reality is that sometimes is not the
case, the issues are still there and need to be resolved somehow (fixed
downstream or upstream, or reported upstream).

If not by the new downstream packager that submitted the patch, then by
the the one committing the patch, or by a reviewer, or by some more
neboluous role of a random Guix contributor, or in some exceptional
cases the issue could be considered =E2=80=98too difficult and not too bad=
=E2=80=99
with some corresponding reasoning.  (It's most efficient if the
reporting or fixing is done directly by the submitter, but if the
submitter can't do it for whatever reason, then surely something can
eventually be worked out by other people, albeit more slowly.)

However, AFAICT, none of that has happened yet.

More generally, I don't think we should have an =E2=80=98packages included =
in
Guix should be good, unless submitted by a newbie=E2=80=99 exception.  Also=
,
potentially the new submitter would _like_ to learn more about Guix
(and have time for it, etc.) and learn how to improve things?

In the future, if someone submits a patch and I notice it has some
complicated problems, should I just ignore the complicated problems and
just LGTM?  This seems contrary to the concept of reviewing to me.=20
(This is probably not what you meant, but to me, this is implied by
your response.)

Greetings,
Maxime.

--=-AcwItZI8e2x7wL9RMuKS
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYrYvnRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7ig9AP9pcwZ8puWNrKWPcJWxF/bmOAOD
BeAQzoC70/cDcAyMkgEA1l1FsBcXedzmqAFkkg7bL/XMZ0u+/IuqjdQZ28S2WAk=
=Q2JG
-----END PGP SIGNATURE-----

--=-AcwItZI8e2x7wL9RMuKS--





Information forwarded to guix-patches@HIDDEN:
bug#55541; Package guix-patches. Full text available.

Message received at 55541-done <at> debbugs.gnu.org:


Received: (at 55541-done) by debbugs.gnu.org; 24 Jun 2022 20:56:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 24 16:56:22 2022
Received: from localhost ([127.0.0.1]:43656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4qLh-0008HU-5a
	for submit <at> debbugs.gnu.org; Fri, 24 Jun 2022 16:56:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1o4qLe-0008HC-JF
 for 55541-done <at> debbugs.gnu.org; Fri, 24 Jun 2022 16:56:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40308)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1o4qLZ-0007fr-9c; Fri, 24 Jun 2022 16:56:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=1IKQVK6g2I0x34cJ4iNxeUjHVhj9d0MA3J1YtQ6Or8c=; b=h9gPfG19/lzBDCqiE80C
 /LXX+eHuB6ApONUEOGK32Nw9y9QZD/FKSCkWEb1aBuyUpFCC2j8WMP2LuzsuOgdESEoUKYnWE+GaK
 DZrRwsSzXedm2lR0BpigcOoK4C9ztvqsQQE1l1QG5UBtBAKfC09Bc4O7rn51wuD7MbRAx8+NrLbkY
 PmGHotOSOYMbzOOPwJLM0ZBjv3S/SA/HusHJybnyFJ3iJP7hvqTIaOKgiE4xSgruok5rLufUzIJEq
 Lyqwp66yTswtsf+jHo+QOXBgOiozmzbM/WUwRCZJwTV/DisjIFYo5S3jDLLvq4EHwgCtiTVkpkd3U
 VoOwGpgikKelKw==;
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=33956 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1o4qLY-0002VL-T7; Fri, 24 Jun 2022 16:56:09 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tobias Kortkamp <tobias.kortkamp@HIDDEN>
Subject: Re: bug#55541: [PATCH] gnu: Add azpainter.
References: <6d31ff958ec0c75cbba8324a275315d195a54902.1653045472.git.tobias.kortkamp@HIDDEN>
Date: Fri, 24 Jun 2022 22:56:06 +0200
In-Reply-To: <6d31ff958ec0c75cbba8324a275315d195a54902.1653045472.git.tobias.kortkamp@HIDDEN>
 (Tobias Kortkamp's message of "Fri, 20 May 2022 13:18:39 +0200")
Message-ID: <87sfntu6ft.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55541-done
Cc: 55541-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Tobias,

Tobias Kortkamp <tobias.kortkamp@HIDDEN> skribis:

> * gnu/packages/graphics.scm (azpainter): New variable.

Applied, thanks!

Maxime Devos <maximedevos@HIDDEN> skribis:

> As-is, this home-grown build system is broken when cross-compiling:
>
>   * When cross-compiling, TARGET-gcc needs to be used instead of gcc.
>     Maybe do (setenv "CC" #$(cc-for-target)) first?
>
>   * Likewise, TARGET-pkg-config instead of pkg-config (not 100% sure)
>
>   * It tries to run binaries during ./configure.  When cross-compiling,
>     ./conftest will always fail (unless using emulation) and hence
>     always detect =E2=80=98little endian=E2=80=99 but this is incorrect w=
hen
>     cross-compiling for big-endian architectures.
>
> (Needs some fixes or work-arounds.)  You can test with "guix build
> azpainter --target=3Daarch64-linux-gnu" or such.
>
> Also, some other problems.  From mlk_studio.c
>
> int mFILEreadBE32(FILE *fp,void *buf)
> {
> 	uint8_t v[4];
>
> 	if(fread(v, 1, 4, fp) < 4)
> 		return 1;
> 	else
> 	{
> 		*((uint32_t *)buf) =3D ((uint32_t)v[0] << 24) | (v[1] <<
> 16) | (v[2] << 8) | v[3];
> 		return 0;
> 	}
> }
>
> looks like a potential strict-aliasing violation to me, resulting in
> undefined behaviour -- what if buf is a pointer to an array of, say,
> doubles? =C2=A0Also a potential alignment problem, though maybe it's only
> called for sufficiently aligned 'buf'.  The strict-aliasing problem
> can be worked around with -fno-strict-aliasing or maybe just -fno-ipa-
> strict-aliasing , though I don't know if that's sufficient.

These are all good points and I appreciate that you did such a thorough
review (audit?) of the package!

That said, I think it=E2=80=99s a bit too much to ask of a downstream packa=
ger
or user to address these issues.  As I see it, these issues should be
reported upstream and addressed upstream.

I hope that makes sense!

Thanks,
Ludo=E2=80=99.




Notification sent to Tobias Kortkamp <tobias.kortkamp@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55541 <at> debbugs.gnu.org:


Received: (at 55541) by debbugs.gnu.org; 20 May 2022 16:00:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 12:00:35 2022
Received: from localhost ([127.0.0.1]:39957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns53K-0005YL-IP
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 12:00:34 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:50502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1ns53H-0005Tt-Kz
 for 55541 <at> debbugs.gnu.org; Fri, 20 May 2022 12:00:33 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by albert.telenet-ops.be with bizsmtp
 id Z40V2700C4UW6Th0640VMU; Fri, 20 May 2022 18:00:29 +0200
Message-ID: <ad892524dd4d37ff3e0544fbd56fdcc37fef3690.camel@HIDDEN>
Subject: Re: [bug#55541] [PATCH] gnu: Add azpainter.
From: Maxime Devos <maximedevos@HIDDEN>
To: Tobias Kortkamp <tobias.kortkamp@HIDDEN>, 55541 <at> debbugs.gnu.org
Date: Fri, 20 May 2022 18:00:22 +0200
In-Reply-To: <6d31ff958ec0c75cbba8324a275315d195a54902.1653045472.git.tobias.kortkamp@HIDDEN>
References: <6d31ff958ec0c75cbba8324a275315d195a54902.1653045472.git.tobias.kortkamp@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-r0TL4HaMiCIDAEx/PNbL"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1653062430; bh=jV6kBa1SIGvFrLCu7zK6PSX8YH3BxtuxnzPAanu4Uhk=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=l9Q4EoV9zlUsiTa5R5DOmYhe5WUGEAqXZyHe+YgttbFz/4Swhq4pS5ugQsT9xJqLa
 vElYuBrbilGJtyY3tUPc5hlLUn7gd/K/JLfWVJjvO5kaJEGrJO7PjfjMMULJ4fGjEC
 7YEYZKzAOXK4gCyErxqFj8VH97GuNCVXOIvxDhfIAYtkZmShKt2XLzYWnk3z/EAVRT
 bDM/8nihmkY9mmMftlfmZHgmnj/d834MX4nGsjCfoSfFldbJQg3xL5Jngi9SJtDHEK
 PNTsEEwur1qhlnk4BHh49rMI0rEmj9zM/e3ckbhKBu/IFj4o6GxfqtuyvX60HJKxUc
 DDQ1gdEM9Wq6A==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55541
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-r0TL4HaMiCIDAEx/PNbL
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Tobias Kortkamp schreef op vr 20-05-2022 om 13:18 [+0200]:
> +=C2=A0=C2=A0=C2=A0 (build-system gnu-build-system) ;actually a home grow=
n build system
> +=C2=A0=C2=A0=C2=A0 (arguments
> +=C2=A0=C2=A0=C2=A0=C2=A0 (list #:tests? #f
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 #:phases
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 #~(modify-p=
hases %standard-phases
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0 (replace 'configure
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0 (lambda _
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (invoke "./configure"
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0 (string-append "--prefix=3D"
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0 #$output))))

As-is, this home-grown build system is broken when cross-compiling:

  * When cross-compiling, TARGET-gcc needs to be used instead of gcc.
    Maybe do (setenv "CC" #$(cc-for-target)) first?

  * Likewise, TARGET-pkg-config instead of pkg-config (not 100% sure)

  * It tries to run binaries during ./configure.  When cross-compiling,
    ./conftest will always fail (unless using emulation) and hence
    always detect =E2=80=98little endian=E2=80=99 but this is incorrect whe=
n
    cross-compiling for big-endian architectures.

(Needs some fixes or work-arounds.)  You can test with "guix build
azpainter --target=3Daarch64-linux-gnu" or such.

Also, some other problems.  From mlk_studio.c

int mFILEreadBE32(FILE *fp,void *buf)
{
	uint8_t v[4];

	if(fread(v, 1, 4, fp) < 4)
		return 1;
	else
	{
		*((uint32_t *)buf) =3D ((uint32_t)v[0] << 24) | (v[1] <<
16) | (v[2] << 8) | v[3];
		return 0;
	}
}

looks like a potential strict-aliasing violation to me, resulting in
undefined behaviour -- what if buf is a pointer to an array of, say,
doubles? =C2=A0Also a potential alignment problem, though maybe it's only
called for sufficiently aligned 'buf'.  The strict-aliasing problem
can be worked around with -fno-strict-aliasing or maybe just -fno-ipa-
strict-aliasing , though I don't know if that's sufficient.

Greetings,
Maxime.

--=-r0TL4HaMiCIDAEx/PNbL
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYoe7FhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7spFAQCg/LlcKpXlqChW7BNlWUMagjKV
54U7auZxytLb84ND8gEA7go3Cxt4h0AFVV6lufVshYbaCklne+fAbMgAwpdPqgo=
=I712
-----END PGP SIGNATURE-----

--=-r0TL4HaMiCIDAEx/PNbL--





Information forwarded to guix-patches@HIDDEN:
bug#55541; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 May 2022 14:16:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 10:16:08 2022
Received: from localhost ([127.0.0.1]:39798 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns3QD-0002Ga-9N
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 10:16:08 -0400
Received: from lists.gnu.org ([209.51.188.17]:47950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tobias.kortkamp@HIDDEN>) id 1ns0ge-00013R-8T
 for submit <at> debbugs.gnu.org; Fri, 20 May 2022 07:20:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47294)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tobias.kortkamp@HIDDEN>)
 id 1ns0gZ-0005xe-W1
 for guix-patches@HIDDEN; Fri, 20 May 2022 07:20:52 -0400
Received: from mail-ed1-x534.google.com ([2a00:1450:4864:20::534]:39921)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <tobias.kortkamp@HIDDEN>)
 id 1ns0gV-00085i-22
 for guix-patches@HIDDEN; Fri, 20 May 2022 07:20:47 -0400
Received: by mail-ed1-x534.google.com with SMTP id j4so5965386edq.6
 for <guix-patches@HIDDEN>; Fri, 20 May 2022 04:20:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=laIc+302vfvo1+gmqugsdf+XsTvOvzPLT8c+BJv7EpI=;
 b=IUgm8fWWJQjqXamsd6I0ekmNugGTKumJ4uBw1dJ7gufbwqRpQ+7HMYdzuD+edziWAg
 /jUIXPx7PyEh8yvQB6kqPuQyj/JocUdu3iyDub9pLFb/pIhu45yiT4vAami6t3QJyTTd
 Go1bql7U8lOu6UDrKhVuvoxTvWGZall1TdZRqJQY3oHhW2bx7nsR+DBmNJsel3uGS2DS
 vnm60qtbfcdoaIA8KpHjYyIn5Vh4VAbBzu0Gj+cm7SuuTlP+5SmQyBKgsWJvV4Dw07YJ
 KdJ4GIc2zHWgRYTyb0lJbA+cONVcNxbakL2ZGJchiAFTiW58eRChC6BqHpHsqvzbD6ME
 D/aQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=laIc+302vfvo1+gmqugsdf+XsTvOvzPLT8c+BJv7EpI=;
 b=G7BtK007pYtdvEVEpY9IzWjhmZpAi4z6fJiFozhqHyuLidd4lx16iZyXdKCS33pzaF
 vsHc69zSRNgHqEGWcjdNB1FgxtbbJritRYN+AuUZx4aGOZL4tXt3XLTGDtH0zmzeR78y
 sTe7nPzOfCof2aY+aeGjbQkBZrbVTPclZ/hBwQ33BeMtIWGFhmFcNbPaQR0O+VHzBEau
 qCPw4Y+WQZF7R0TgMsQKVfNobTRqcy32zYOb9r38qWHKDViH5fE4JosA2CmGET3Wd3Nf
 cjJ8jYS4yXxPX7s749B++is33zVTWEtTH9xifVSOoj0HRijTsw0JKCvw/U7pL1ciBpa3
 ufuA==
X-Gm-Message-State: AOAM533cPteY6pX4aLsMl0xbSoFA0IKPh8iY/UqXbo3onOZTKoCzINcI
 4kZHLlXAM3mkBtTrgZq5+hHnzTGQiSbzqg==
X-Google-Smtp-Source: ABdhPJxmnDHlIQHxc1WdoSdLwa7RfrxptePx8dm4TxYQ4H0r4aegL7B7PYluMg1p6L/hLlJdeSAEcA==
X-Received: by 2002:a05:6402:5161:b0:42a:b056:489f with SMTP id
 d1-20020a056402516100b0042ab056489fmr10357287ede.301.1653045635428; 
 Fri, 20 May 2022 04:20:35 -0700 (PDT)
Received: from anubis.kortkamp.xyz
 (p200300ff7f01ec00ef85e4aef4ae91a9.dip0.t-ipconnect.de.
 [2003:ff:7f01:ec00:ef85:e4ae:f4ae:91a9])
 by smtp.gmail.com with ESMTPSA id
 mm8-20020a170906cc4800b006f4cb79d9a8sm3040081ejb.75.2022.05.20.04.20.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 20 May 2022 04:20:34 -0700 (PDT)
From: Tobias Kortkamp <tobias.kortkamp@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add azpainter.
Date: Fri, 20 May 2022 13:18:39 +0200
Message-Id: <6d31ff958ec0c75cbba8324a275315d195a54902.1653045472.git.tobias.kortkamp@HIDDEN>
X-Mailer: git-send-email 2.36.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2a00:1450:4864:20::534;
 envelope-from=tobias.kortkamp@HIDDEN; helo=mail-ed1-x534.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 20 May 2022 10:16:04 -0400
Cc: Tobias Kortkamp <tobias.kortkamp@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

* gnu/packages/graphics.scm (azpainter): New variable.
---
 gnu/packages/graphics.scm | 66 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

diff --git a/gnu/packages/graphics.scm b/gnu/packages/graphics.scm
index e966a82dbb..1457cf83fb 100644
--- a/gnu/packages/graphics.scm
+++ b/gnu/packages/graphics.scm
@@ -30,6 +30,7 @@
 ;;; Copyright © 2022 Michael Rohleder <mike@HIDDEN>
 ;;; Copyright © 2022 John Kehayias <john.kehayias@HIDDEN>
 ;;; Copyright © 2022 Zheng Junjie <873216071@HIDDEN>
+;;; Copyright © 2022 Tobias Kortkamp <tobias.kortkamp@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -2124,3 +2125,68 @@ (define-public monado
 such as VR and AR on mobile, PC/desktop, and any other device.  Monado aims to be
 a complete and conforming implementation of the OpenXR API made by Khronos.")
     (license license:boost1.0)))
+
+(define-public azpainter
+  (package
+    (name "azpainter")
+    (version "3.0.5")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://gitlab.com/azelpg/azpainter")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1iplp3p8pw9q44kb43hrk89sv2aff6bdy9fk58j2v6k5lqbk6kvf"))))
+    (build-system gnu-build-system) ;actually a home grown build system
+    (arguments
+     (list #:tests? #f
+           #:phases
+           #~(modify-phases %standard-phases
+               (replace 'configure
+                 (lambda _
+                   (invoke "./configure"
+                           (string-append "--prefix="
+                                          #$output))))
+               (replace 'build
+                 (lambda* (#:key parallel-build? #:allow-other-keys)
+                   (let ((job-count (if parallel-build?
+                                        (number->string (parallel-job-count))
+                                        "1")))
+                     (invoke "ninja" "-j" job-count "-C" "build"))))
+               (add-before 'install 'disable-cache-generation
+                 (lambda _
+                   (setenv "DESTDIR" "/") #t))
+               (replace 'install
+                 (lambda _
+                   (invoke "ninja" "-C" "build" "install"))))))
+    (inputs (list fontconfig
+                  freetype
+                  libjpeg-turbo
+                  libpng
+                  libtiff
+                  libwebp
+                  libx11
+                  libxcursor
+                  libxext
+                  libxi
+                  zlib))
+    (native-inputs (list ninja pkg-config))
+    (home-page "http://azsky2.html.xdomain.jp/soft/azpainter.html")
+    (synopsis "Paint software for editing illustrations and images")
+    (description
+     "AzPainter is a lightweight full color painting application for editing
+illustrations and images.
+
+Features include:
+@itemize
+@item Layers
+@item Many artistic filters
+@item Good range of selection tools
+@item Pen pressure support with automatic brush size adjustment
+@item Support for 16-bit color images with transparency (RGBA)
+@item Support for image formats like PSD, PNG, JPEG, TIFF, WebP
+@end itemize
+")
+    (license license:gpl3+)))

base-commit: 2f170893719e6e9fc8e19cc5f0568e20a95d92b4
-- 
2.36.0





Acknowledgement sent to Tobias Kortkamp <tobias.kortkamp@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55541; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 28 Jun 2022 17:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.